Bug 131267 - GtkDeprecationWarning with graphical installation
Summary: GtkDeprecationWarning with graphical installation
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: powerpc
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-30 17:04 UTC by Colin Charles
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 17:24:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Colin Charles 2004-08-30 17:04:12 UTC
Description of problem:
When the graphical installer has started, breaking out to console 1
(Ctrl+Alt+Fn+F1) on the Mac shows the warning printed

Version-Release number of selected component (if applicable):
anaconda-10.0.2-0.20040826115153.ppc.rpm (30th August 2004 synced tree)

How reproducible:
Everytime (tried twice)

Steps to Reproduce:
1. Put CD into drive, start installation with "mac" (and grab from NFS
tree)
2. When anaconda GUI comes up, break into a console, and see this
  
Actual results:
Installation goes on fine, just that there's an error message that
does pop-up. Its not detrimental, but we should fix it. It says:

...
Starting graphical installation...
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
    self.warn(message, DeprecationWarning)

Expected results:
No "errors" on the console

Comment 1 Jeremy Katz 2004-08-30 17:24:47 UTC
Already fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.